Index: trunk/lib/FlairFilter/src/UavMultiplex_impl.cpp
===================================================================
--- trunk/lib/FlairFilter/src/UavMultiplex_impl.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/UavMultiplex_impl.cpp	(revision 15)
@@ -33,62 +33,56 @@
 using namespace flair::filter;
 
-UavMultiplex_impl::UavMultiplex_impl(const FrameworkManager* parent,UavMultiplex* self,std::string name) {
-    input=new cvmatrix(self,7,1,floatType);
-    multiplexcombobox=NULL;
-    this->self=self;
+UavMultiplex_impl::UavMultiplex_impl(const FrameworkManager *parent,
+                                     UavMultiplex *self, std::string name) {
+  input = new cvmatrix(self, 7, 1, floatType);
+  multiplexcombobox = NULL;
+  this->self = self;
 
-    //station sol
-    main_tab=new Tab(parent->GetTabWidget(),name);
-    tabwidget=new TabWidget(main_tab->NewRow(),"UavMultiplex");
-	setup_tab=new Tab(tabwidget,"Setup");
+  // station sol
+  main_tab = new Tab(parent->GetTabWidget(), name);
+  tabwidget = new TabWidget(main_tab->NewRow(), "UavMultiplex");
+  setup_tab = new Tab(tabwidget, "Setup");
 }
 
-UavMultiplex_impl::~UavMultiplex_impl(void)
-{
-    delete main_tab;
-    if(multiplexcombobox!=NULL) free(multiplexcombobox);
+UavMultiplex_impl::~UavMultiplex_impl(void) {
+  delete main_tab;
+  if (multiplexcombobox != NULL)
+    free(multiplexcombobox);
 }
 
-void UavMultiplex_impl::SetMultiplexComboBox(string name,int index)
-{
-    //we do not know motorcount at constructor time, so allocation is done here
-    if(multiplexcombobox==NULL)
-    {
-        multiplexcombobox=(ComboBox**)malloc(self->MotorsCount()*sizeof(ComboBox*));
-        for(int i=0;i<self->MotorsCount();i++) multiplexcombobox[i]=NULL;
-        groupbox=new GroupBox(setup_tab->NewRow(),"motor attribution");
-    }
-    if(index>self->MotorsCount())
-    {
-        self->Err("index out of bound %i/%i\n",index,self->MotorsCount());
-        return;
-    }
-    if(multiplexcombobox[index]!=NULL)
-    {
-        self->Err("index already setup\n");
-        return;
-    }
+void UavMultiplex_impl::SetMultiplexComboBox(string name, int index) {
+  // we do not know motorcount at constructor time, so allocation is done here
+  if (multiplexcombobox == NULL) {
+    multiplexcombobox =
+        (ComboBox **)malloc(self->MotorsCount() * sizeof(ComboBox *));
+    for (int i = 0; i < self->MotorsCount(); i++)
+      multiplexcombobox[i] = NULL;
+    groupbox = new GroupBox(setup_tab->NewRow(), "motor attribution");
+  }
+  if (index > self->MotorsCount()) {
+    self->Err("index out of bound %i/%i\n", index, self->MotorsCount());
+    return;
+  }
+  if (multiplexcombobox[index] != NULL) {
+    self->Err("index already setup\n");
+    return;
+  }
 
-    multiplexcombobox[index]=new ComboBox(groupbox->At(index/4,index%4),name);
+  multiplexcombobox[index] =
+      new ComboBox(groupbox->At(index / 4, index % 4), name);
 
-    for(int i=0;i<self->MotorsCount();i++)
-    {
-        ostringstream oss;
-        oss << i;
-        multiplexcombobox[index]->AddItem(oss.str());
-    }
+  for (int i = 0; i < self->MotorsCount(); i++) {
+    ostringstream oss;
+    oss << i;
+    multiplexcombobox[index]->AddItem(oss.str());
+  }
 }
 
-int UavMultiplex_impl::MultiplexValue(int index) const
-{
-    if(multiplexcombobox[index]!=NULL)
-    {
-        return multiplexcombobox[index]->CurrentIndex();
-    }
-    else
-    {
-        self->Err("multiplex not setup for motor %i\n",index);
-        return 0;
-    }
-
+int UavMultiplex_impl::MultiplexValue(int index) const {
+  if (multiplexcombobox[index] != NULL) {
+    return multiplexcombobox[index]->CurrentIndex();
+  } else {
+    self->Err("multiplex not setup for motor %i\n", index);
+    return 0;
+  }
 }
Index: trunk/lib/FlairFilter/src/X4X8Multiplex.cpp
===================================================================
--- trunk/lib/FlairFilter/src/X4X8Multiplex.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/X4X8Multiplex.cpp	(revision 15)
@@ -23,52 +23,39 @@
 using namespace flair::gui;
 
-namespace flair
-{
-namespace filter
-{
+namespace flair {
+namespace filter {
 
-X4X8Multiplex::X4X8Multiplex(const FrameworkManager* parent,std::string name,UavType_t type) : UavMultiplex(parent,name)
-{
-    int nb_mot;
+X4X8Multiplex::X4X8Multiplex(const FrameworkManager *parent, std::string name,
+                             UavType_t type)
+    : UavMultiplex(parent, name) {
+  int nb_mot;
 
-    switch(type)
-    {
-        case X4:
-            nb_mot=4;
-            break;
-        case X8:
-            nb_mot=8;
-            break;
-        default:
-            Err("uav type not supported\n");
-            break;
-    }
+  switch (type) {
+  case X4:
+    nb_mot = 4;
+    break;
+  case X8:
+    nb_mot = 8;
+    break;
+  default:
+    Err("uav type not supported\n");
+    break;
+  }
 
-    pimpl_=new X4X8Multiplex_impl(this,nb_mot);
+  pimpl_ = new X4X8Multiplex_impl(this, nb_mot);
 
-    for(int i=0;i<nb_mot;i++)
-    {
-        SetMultiplexComboBox(pimpl_->MotorName(i),i);
-    }
+  for (int i = 0; i < nb_mot; i++) {
+    SetMultiplexComboBox(pimpl_->MotorName(i), i);
+  }
 }
 
-X4X8Multiplex::~X4X8Multiplex(void)
-{
-    delete pimpl_;
-}
+X4X8Multiplex::~X4X8Multiplex(void) { delete pimpl_; }
 
-uint8_t X4X8Multiplex::MotorsCount(void) const
-{
-    return pimpl_->nb_mot;
-}
+uint8_t X4X8Multiplex::MotorsCount(void) const { return pimpl_->nb_mot; }
 
-void X4X8Multiplex::UseDefaultPlot(void)
-{
-    pimpl_->UseDefaultPlot();
-}
+void X4X8Multiplex::UseDefaultPlot(void) { pimpl_->UseDefaultPlot(); }
 
-void X4X8Multiplex::UpdateFrom(const io_data *data)
-{
-    pimpl_->UpdateFrom(data);
+void X4X8Multiplex::UpdateFrom(const io_data *data) {
+  pimpl_->UpdateFrom(data);
 }
 
Index: trunk/lib/FlairFilter/src/X4X8Multiplex.h
===================================================================
--- trunk/lib/FlairFilter/src/X4X8Multiplex.h	(revision 14)
+++ trunk/lib/FlairFilter/src/X4X8Multiplex.h	(revision 15)
@@ -18,90 +18,89 @@
 class X4X8Multiplex_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class X4X8Multiplex
-    *
-    * \brief Class defining X4 and X8 multiplexing
-    *
-    * The output order of the motors can be changed through ground station.
-    */
-    class X4X8Multiplex : public UavMultiplex
-    {
-        friend class ::X4X8Multiplex_impl;
+namespace flair {
+namespace filter {
+/*! \class X4X8Multiplex
+*
+* \brief Class defining X4 and X8 multiplexing
+*
+* The output order of the motors can be changed through ground station.
+*/
+class X4X8Multiplex : public UavMultiplex {
+  friend class ::X4X8Multiplex_impl;
 
-        public:
-             /*!
-            \enum UavType_t
-            \brief type of UAV
-            */
-            typedef enum {
-                X4,/*!< 4 motors: front left, front right, rear left, rear right */
-                X8/*!< 8 motors: top front left, top front right, top rear left, top rear right, bottom front left, bottom front right, bottom rear left, bottom rear right */
-                } UavType_t;
+public:
+  /*!
+ \enum UavType_t
+ \brief type of UAV
+ */
+  typedef enum {
+    X4, /*!< 4 motors: front left, front right, rear left, rear right */
+    X8  /*!< 8 motors: top front left, top front right, top rear left, top rear
+           right, bottom front left, bottom front right, bottom rear left, bottom
+           rear right */
+  } UavType_t;
 
-            /*!
-            \enum MotorNames_t
-            \brief Motor names
-            */
-            typedef enum {
-                TopFrontLeft=0,/*!< Top front left, X4 or X8 */
-                TopFrontRight=1,/*!< Top front right, X4 or X8 */
-                TopRearLeft=2,/*!< Top rear left, X4 or X8 */
-                TopRearRight=3,/*!< Top rear right, X4 or X8 */
-                BottomFrontLeft=4,/*!< Bottom front left, X8 */
-                BottomFrontRight=5,/*!< Bottom front right, X8 */
-                BottomRearLeft=6,/*!< Bottom rear left, X8 */
-                BottomRearRight=7,/*!< Bottom rear right, X8 */
-                } MotorNames_t;
+  /*!
+  \enum MotorNames_t
+  \brief Motor names
+  */
+  typedef enum {
+    TopFrontLeft = 0,     /*!< Top front left, X4 or X8 */
+    TopFrontRight = 1,    /*!< Top front right, X4 or X8 */
+    TopRearLeft = 2,      /*!< Top rear left, X4 or X8 */
+    TopRearRight = 3,     /*!< Top rear right, X4 or X8 */
+    BottomFrontLeft = 4,  /*!< Bottom front left, X8 */
+    BottomFrontRight = 5, /*!< Bottom front right, X8 */
+    BottomRearLeft = 6,   /*!< Bottom rear left, X8 */
+    BottomRearRight = 7,  /*!< Bottom rear right, X8 */
+  } MotorNames_t;
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a X4 and X8 multiplexing
-            *
-            * \param parent parent
-            * \param name name
-            * \param type type
-            */
-            X4X8Multiplex(const core::FrameworkManager* parent,std::string name,UavType_t type);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a X4 and X8 multiplexing
+  *
+  * \param parent parent
+  * \param name name
+  * \param type type
+  */
+  X4X8Multiplex(const core::FrameworkManager *parent, std::string name,
+                UavType_t type);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~X4X8Multiplex();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~X4X8Multiplex();
 
-            /*!
-            * \brief Use default plot
-            *
-            * Plot the output values.
-            *
-            */
-            void UseDefaultPlot(void);
+  /*!
+  * \brief Use default plot
+  *
+  * Plot the output values.
+  *
+  */
+  void UseDefaultPlot(void);
 
-            /*!
-            * \brief Motors count
-            *
-            * Reimplemented from UavMultiplex.
-            *
-            * \return motors count
-            */
-            uint8_t MotorsCount(void) const;
+  /*!
+  * \brief Motors count
+  *
+  * Reimplemented from UavMultiplex.
+  *
+  * \return motors count
+  */
+  uint8_t MotorsCount(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            X4X8Multiplex_impl *pimpl_;
-
-    };
+  X4X8Multiplex_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/X4X8Multiplex_impl.cpp
===================================================================
--- trunk/lib/FlairFilter/src/X4X8Multiplex_impl.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/X4X8Multiplex_impl.cpp	(revision 15)
@@ -33,199 +33,183 @@
 using namespace flair::filter;
 
-X4X8Multiplex_impl::X4X8Multiplex_impl(flair::filter::X4X8Multiplex* self,int nb_mot)
-{
-    this->nb_mot=nb_mot;
-    this->self=self;
-
-    if(nb_mot==4)
-    {
-        GroupBox *groupbox=new GroupBox(self->GetLayout()->NewRow(),"x4 multiplex");
-        pas=new ComboBox(groupbox->NewRow(),"front left blade pitch:");
+X4X8Multiplex_impl::X4X8Multiplex_impl(flair::filter::X4X8Multiplex *self,
+                                       int nb_mot) {
+  this->nb_mot = nb_mot;
+  this->self = self;
+
+  if (nb_mot == 4) {
+    GroupBox *groupbox =
+        new GroupBox(self->GetLayout()->NewRow(), "x4 multiplex");
+    pas = new ComboBox(groupbox->NewRow(), "front left blade pitch:");
+  } else {
+    GroupBox *groupbox =
+        new GroupBox(self->GetLayout()->NewRow(), "x8 multiplex");
+    pas = new ComboBox(groupbox->NewRow(), "top front left blade pitch:");
+  }
+  pas->AddItem("normal");
+  pas->AddItem("inverted");
+
+  cvmatrix_descriptor *desc = new cvmatrix_descriptor(nb_mot, 1);
+  for (int i = 0; i < nb_mot; i++) {
+    desc->SetElementName(i, 0, MotorName(i));
+  }
+
+  output = new cvmatrix(self, desc, floatType);
+
+  self->AddDataToLog(output);
+}
+
+X4X8Multiplex_impl::~X4X8Multiplex_impl(void) {}
+
+void X4X8Multiplex_impl::UseDefaultPlot(void) {
+  Tab *plot_tab = new Tab(self->GetTabWidget(), "Values");
+  plots[0] = new DataPlot1D(plot_tab->NewRow(), "front left", 0, 1);
+  plots[1] = new DataPlot1D(plot_tab->LastRowLastCol(), "front right", 0, 1);
+  plots[2] = new DataPlot1D(plot_tab->NewRow(), "rear left", 0, 1);
+  plots[3] = new DataPlot1D(plot_tab->LastRowLastCol(), "rear right", 0, 1);
+
+  for (int i = 0; i < 4; i++)
+    plots[i]->AddCurve(output->Element(i));
+
+  if (nb_mot == 8) {
+    for (int i = 0; i < 4; i++)
+      plots[i]->AddCurve(output->Element(i + 4), DataPlot::Blue);
+  }
+}
+
+void X4X8Multiplex_impl::UpdateFrom(const io_data *data) {
+  float u_roll, u_pitch, u_yaw, u_thrust;
+  float trim_roll, trim_pitch, trim_yaw;
+  float value[MAX_MOTORS];
+
+  cvmatrix *input = (cvmatrix *)data;
+
+  // on prend une fois pour toute le mutex et on fait des accès directs
+  input->GetMutex();
+
+  u_roll = input->ValueNoMutex(0, 0);
+  u_pitch = input->ValueNoMutex(1, 0);
+  u_yaw = input->ValueNoMutex(2, 0);
+  u_thrust = input->ValueNoMutex(3, 0);
+  trim_roll = input->ValueNoMutex(4, 0);
+  trim_pitch = input->ValueNoMutex(5, 0);
+  trim_yaw = input->ValueNoMutex(6, 0);
+
+  input->ReleaseMutex();
+
+  if (pas->CurrentIndex() == 1) {
+    trim_yaw = -trim_yaw;
+    u_yaw = -u_yaw;
+  }
+
+  if (nb_mot == 2) {
+    //(top) front left
+    value[self->MultiplexValue(X4X8Multiplex::TopFrontLeft)] = Set(
+        trim_pitch + trim_roll + trim_yaw, u_thrust + u_pitch + u_roll + u_yaw);
+
+    //(top) front right
+    value[self->MultiplexValue(X4X8Multiplex::TopFrontRight)] = Set(
+        trim_pitch - trim_roll - trim_yaw, u_thrust + u_pitch - u_roll - u_yaw);
+  }
+  if (nb_mot == 4 || nb_mot == 8) {
+    //(top) front left
+    value[self->MultiplexValue(X4X8Multiplex::TopFrontLeft)] = Set(
+        trim_pitch + trim_roll + trim_yaw, u_thrust + u_pitch + u_roll + u_yaw);
+
+    //(top) front right
+    value[self->MultiplexValue(X4X8Multiplex::TopFrontRight)] = Set(
+        trim_pitch - trim_roll - trim_yaw, u_thrust + u_pitch - u_roll - u_yaw);
+
+    //(top) rear left
+    value[self->MultiplexValue(X4X8Multiplex::TopRearLeft)] =
+        Set(-trim_pitch + trim_roll - trim_yaw,
+            u_thrust - u_pitch + u_roll - u_yaw);
+
+    //(top) rear right
+    value[self->MultiplexValue(X4X8Multiplex::TopRearRight)] =
+        Set(-trim_pitch - trim_roll + trim_yaw,
+            u_thrust - u_pitch - u_roll + u_yaw);
+  }
+
+  if (nb_mot == 8) {
+    // bottom front left
+    value[self->MultiplexValue(X4X8Multiplex::BottomFrontLeft)] = Set(
+        trim_pitch + trim_roll - trim_yaw, u_thrust + u_pitch + u_roll - u_yaw);
+
+    // bottom front right
+    value[self->MultiplexValue(X4X8Multiplex::BottomFrontRight)] = Set(
+        trim_pitch - trim_roll + trim_yaw, u_thrust + u_pitch - u_roll + u_yaw);
+
+    // bottom rear left
+    value[self->MultiplexValue(X4X8Multiplex::BottomRearLeft)] =
+        Set(-trim_pitch + trim_roll + trim_yaw,
+            u_thrust - u_pitch + u_roll + u_yaw);
+
+    // bottom rear right
+    value[self->MultiplexValue(X4X8Multiplex::BottomRearRight)] =
+        Set(-trim_pitch - trim_roll - trim_yaw,
+            u_thrust - u_pitch - u_roll - u_yaw);
+  }
+
+  // on prend une fois pour toute le mutex et on fait des accès directs
+  output->GetMutex();
+  for (int i = 0; i < nb_mot; i++)
+    output->SetValueNoMutex(i, 0, value[i]);
+  output->ReleaseMutex();
+
+  output->SetDataTime(data->DataTime());
+
+  self->ProcessUpdate(output);
+}
+
+float X4X8Multiplex_impl::Set(float trim, float u) {
+  float value = trim;
+
+  if (u > 0) {
+    value += sqrtf(u);
+  }
+
+  return value;
+}
+
+string X4X8Multiplex_impl::MotorName(int index) {
+  switch (nb_mot) {
+  case 4: {
+    switch (index) {
+    case 0:
+      return "front left";
+    case 1:
+      return "front rigth";
+    case 2:
+      return "rear left";
+    case 3:
+      return "rear rigth";
+    default:
+      return "unammed motor";
     }
-    else
-    {
-        GroupBox *groupbox=new GroupBox(self->GetLayout()->NewRow(),"x8 multiplex");
-        pas=new ComboBox(groupbox->NewRow(),"top front left blade pitch:");
+  }
+  case 8: {
+    switch (index) {
+    case 0:
+      return "top front left";
+    case 1:
+      return "top front rigth";
+    case 2:
+      return "top rear left";
+    case 3:
+      return "top rear rigth";
+    case 4:
+      return "bottom front left";
+    case 5:
+      return "bottom front rigth";
+    case 6:
+      return "bottom rear left";
+    case 7:
+      return "bottom rear rigth";
+    default:
+      return "unammed motor";
     }
-    pas->AddItem("normal");
-    pas->AddItem("inverted");
-
-    cvmatrix_descriptor* desc=new cvmatrix_descriptor(nb_mot,1);
-    for(int i=0;i<nb_mot;i++)
-    {
-        desc->SetElementName(i,0,MotorName(i));
-    }
-
-    output=new cvmatrix(self,desc,floatType);
-
-    self->AddDataToLog(output);
-}
-
-X4X8Multiplex_impl::~X4X8Multiplex_impl(void)
-{
-}
-
-void X4X8Multiplex_impl::UseDefaultPlot(void)
-{
-    Tab *plot_tab=new Tab(self->GetTabWidget(),"Values");
-    plots[0]=new DataPlot1D(plot_tab->NewRow(),"front left",0,1);
-    plots[1]=new DataPlot1D(plot_tab->LastRowLastCol(),"front right",0,1);
-    plots[2]=new DataPlot1D(plot_tab->NewRow(),"rear left",0,1);
-    plots[3]=new DataPlot1D(plot_tab->LastRowLastCol(),"rear right",0,1);
-
-    for(int i=0;i<4;i++) plots[i]->AddCurve(output->Element(i));
-
-    if(nb_mot==8)
-    {
-        for(int i=0;i<4;i++) plots[i]->AddCurve(output->Element(i+4),DataPlot::Blue);
-    }
-}
-
-void X4X8Multiplex_impl::UpdateFrom(const io_data *data)
-{
-    float u_roll,u_pitch,u_yaw,u_thrust;
-    float trim_roll,trim_pitch,trim_yaw;
-    float value[MAX_MOTORS];
-
-    cvmatrix* input=(cvmatrix*)data;
-
-    //on prend une fois pour toute le mutex et on fait des accès directs
-    input->GetMutex();
-
-    u_roll=input->ValueNoMutex(0,0);
-    u_pitch=input->ValueNoMutex(1,0);
-    u_yaw=input->ValueNoMutex(2,0);
-    u_thrust=input->ValueNoMutex(3,0);
-    trim_roll=input->ValueNoMutex(4,0);
-    trim_pitch=input->ValueNoMutex(5,0);
-    trim_yaw=input->ValueNoMutex(6,0);
-
-    input->ReleaseMutex();
-
-    if(pas->CurrentIndex()==1)
-    {
-        trim_yaw=-trim_yaw;
-        u_yaw=-u_yaw;
-    }
-
-if(nb_mot==2)
-{
-    //(top) front left
-    value[self->MultiplexValue(X4X8Multiplex::TopFrontLeft)]=Set(trim_pitch+trim_roll+trim_yaw,
-                 u_thrust+u_pitch+u_roll+u_yaw);
-
-    //(top) front right
-    value[self->MultiplexValue(X4X8Multiplex::TopFrontRight)]=Set(trim_pitch-trim_roll-trim_yaw,
-                 u_thrust+u_pitch-u_roll-u_yaw);
-}
-    if(nb_mot==4 || nb_mot==8)
-    {
-        //(top) front left
-        value[self->MultiplexValue(X4X8Multiplex::TopFrontLeft)]=Set(trim_pitch+trim_roll+trim_yaw,
-                     u_thrust+u_pitch+u_roll+u_yaw);
-
-        //(top) front right
-        value[self->MultiplexValue(X4X8Multiplex::TopFrontRight)]=Set(trim_pitch-trim_roll-trim_yaw,
-                     u_thrust+u_pitch-u_roll-u_yaw);
-
-        //(top) rear left
-        value[self->MultiplexValue(X4X8Multiplex::TopRearLeft)]=Set(-trim_pitch+trim_roll-trim_yaw,
-                     u_thrust-u_pitch+u_roll-u_yaw);
-
-        //(top) rear right
-        value[self->MultiplexValue(X4X8Multiplex::TopRearRight)]=Set(-trim_pitch-trim_roll+trim_yaw,
-                     u_thrust-u_pitch-u_roll+u_yaw);
-    }
-
-    if(nb_mot==8)
-    {
-        //bottom front left
-        value[self->MultiplexValue(X4X8Multiplex::BottomFrontLeft)]=Set(trim_pitch+trim_roll-trim_yaw,
-                     u_thrust+u_pitch+u_roll-u_yaw);
-
-        //bottom front right
-        value[self->MultiplexValue(X4X8Multiplex::BottomFrontRight)]=Set(trim_pitch-trim_roll+trim_yaw,
-                     u_thrust+u_pitch-u_roll+u_yaw);
-
-        //bottom rear left
-        value[self->MultiplexValue(X4X8Multiplex::BottomRearLeft)]=Set(-trim_pitch+trim_roll+trim_yaw,
-                     u_thrust-u_pitch+u_roll+u_yaw);
-
-        //bottom rear right
-        value[self->MultiplexValue(X4X8Multiplex::BottomRearRight)]=Set(-trim_pitch-trim_roll-trim_yaw,
-                     u_thrust-u_pitch-u_roll-u_yaw);
-
-    }
-
-    //on prend une fois pour toute le mutex et on fait des accès directs
-    output->GetMutex();
-    for(int i=0;i<nb_mot;i++) output->SetValueNoMutex(i,0,value[i]);
-    output->ReleaseMutex();
-
-    output->SetDataTime(data->DataTime());
-
-    self->ProcessUpdate(output);
-}
-
-float X4X8Multiplex_impl::Set(float trim,float u)
-{
-    float value=trim;
-
-    if(u>0)
-    {
-        value+=sqrtf(u);
-    }
-
-    return value;
-}
-
-string X4X8Multiplex_impl::MotorName(int index)
-{
-    switch(nb_mot)
-    {
-        case 4:
-        {
-            switch(index)
-            {
-                case 0:
-                    return "front left";
-                case 1:
-                    return "front rigth";
-                case 2:
-                    return "rear left";
-                case 3:
-                    return "rear rigth";
-                default:
-                    return "unammed motor";
-            }
-        }
-        case 8:
-        {
-            switch(index)
-            {
-                case 0:
-                    return "top front left";
-                case 1:
-                    return "top front rigth";
-                case 2:
-                    return "top rear left";
-                case 3:
-                    return "top rear rigth";
-                case 4:
-                    return "bottom front left";
-                case 5:
-                    return "bottom front rigth";
-                case 6:
-                    return "bottom rear left";
-                case 7:
-                    return "bottom rear rigth";
-                default:
-                    return "unammed motor";
-            }
-        }
-        default:
-        {
-            return "unammed motor";
-        }
-    }
-}
+  }
+  default: { return "unammed motor"; }
+  }
+}
Index: trunk/lib/FlairFilter/src/unexported/Ahrs_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/Ahrs_impl.h	(revision 14)
+++ trunk/lib/FlairFilter/src/unexported/Ahrs_impl.h	(revision 15)
@@ -17,14 +17,14 @@
 
 namespace flair {
-    namespace core {
-        class AhrsData;
-    }
-    namespace gui {
-        class Tab;
-        class DataPlot1D;
-    }
-    namespace filter {
-        class Ahrs;
-    }
+namespace core {
+class AhrsData;
+}
+namespace gui {
+class Tab;
+class DataPlot1D;
+}
+namespace filter {
+class Ahrs;
+}
 }
 
@@ -37,17 +37,18 @@
 
 class Ahrs_impl {
-    public:
-        Ahrs_impl(flair::filter::Ahrs* self);
-        ~Ahrs_impl();
-        void UseDefaultPlot(void);
-        void AddPlot(const flair::core::AhrsData *ahrsData,flair::gui::DataPlot::Color_t color);
-        flair::gui::DataPlot1D *rollPlot,*pitchPlot,*yawPlot;
-        flair::gui::DataPlot1D *wXPlot,*wYPlot,*wZPlot;
-        flair::gui::DataPlot1D *q0Plot,*q1Plot,*q2Plot,*q3Plot;
-        flair::core::AhrsData *ahrsData;
+public:
+  Ahrs_impl(flair::filter::Ahrs *self);
+  ~Ahrs_impl();
+  void UseDefaultPlot(void);
+  void AddPlot(const flair::core::AhrsData *ahrsData,
+               flair::gui::DataPlot::Color_t color);
+  flair::gui::DataPlot1D *rollPlot, *pitchPlot, *yawPlot;
+  flair::gui::DataPlot1D *wXPlot, *wYPlot, *wZPlot;
+  flair::gui::DataPlot1D *q0Plot, *q1Plot, *q2Plot, *q3Plot;
+  flair::core::AhrsData *ahrsData;
 
-    private:
-        flair::gui::Tab *eulerTab,*quaternionTab;
-        flair::filter::Ahrs* self;
+private:
+  flair::gui::Tab *eulerTab, *quaternionTab;
+  flair::filter::Ahrs *self;
 };
 
Index: trunk/lib/FlairFilter/src/unexported/ButterworthLowPass_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/ButterworthLowPass_impl.h	(revision 14)
+++ trunk/lib/FlairFilter/src/unexported/ButterworthLowPass_impl.h	(revision 15)
@@ -17,138 +17,119 @@
 #include <Butterworth.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-        class SpinBox;
-        class DoubleSpinBox;
-    }
-    namespace filter
-    {
-        class ButterworthLowPass;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class LayoutPosition;
+class SpinBox;
+class DoubleSpinBox;
+}
+namespace filter {
+class ButterworthLowPass;
+}
 }
 
 // Storage for Layout
-//de-templatized for pimpl idom
-//comes from iir from Bernd Porr
-class LayoutStorage
-{
-    public:
-        LayoutStorage(int MaxPoles)
-        {
-            this->MaxPoles=MaxPoles;
-            m_pairs=(Iir::PoleZeroPair*)malloc((MaxPoles+1)/2*sizeof(Iir::PoleZeroPair));
-        }
-        ~LayoutStorage()
-        {
-            free(m_pairs);
-        }
-        operator Iir::LayoutBase ()
-        {
-            return Iir::LayoutBase (MaxPoles, m_pairs);
-        }
+// de-templatized for pimpl idom
+// comes from iir from Bernd Porr
+class LayoutStorage {
+public:
+  LayoutStorage(int MaxPoles) {
+    this->MaxPoles = MaxPoles;
+    m_pairs = (Iir::PoleZeroPair *)malloc((MaxPoles + 1) / 2 *
+                                          sizeof(Iir::PoleZeroPair));
+  }
+  ~LayoutStorage() { free(m_pairs); }
+  operator Iir::LayoutBase() { return Iir::LayoutBase(MaxPoles, m_pairs); }
 
-    private:
-        Iir::PoleZeroPair *m_pairs;
-        int MaxPoles;
+private:
+  Iir::PoleZeroPair *m_pairs;
+  int MaxPoles;
 };
 
 // Storage for Cascade
-//de-templatized for pimpl idom
-//comes from iir from Bernd Porr
-class CascadeStages
-{
-    public:
-        CascadeStages(int MaxStages)
-        {
-            this->MaxStages=MaxStages;
-            m_stages=(Iir::Cascade::Stage*)malloc(MaxStages*sizeof(Iir::Cascade::Stage));
-            m_states=(Iir::DirectFormII*)malloc(MaxStages*sizeof(Iir::DirectFormII));
-        }
-        ~CascadeStages()
-        {
-            free(m_stages);
-            free(m_states);
-        }
-        void reset ()
-        {
-            Iir::DirectFormII* state = m_states;
-            for (int i = MaxStages; --i >= 0; ++state)
-            state->reset();
-        }
+// de-templatized for pimpl idom
+// comes from iir from Bernd Porr
+class CascadeStages {
+public:
+  CascadeStages(int MaxStages) {
+    this->MaxStages = MaxStages;
+    m_stages =
+        (Iir::Cascade::Stage *)malloc(MaxStages * sizeof(Iir::Cascade::Stage));
+    m_states =
+        (Iir::DirectFormII *)malloc(MaxStages * sizeof(Iir::DirectFormII));
+  }
+  ~CascadeStages() {
+    free(m_stages);
+    free(m_states);
+  }
+  void reset() {
+    Iir::DirectFormII *state = m_states;
+    for (int i = MaxStages; --i >= 0; ++state)
+      state->reset();
+  }
 
-        template <typename Sample>
-        inline Sample filter(const Sample in)
-        {
-            double out = in;
-            Iir::DirectFormII* state = m_states;
-            Iir::Biquad const* stage = m_stages;
-            for (int i = MaxStages; --i >= 0; ++state, ++stage)
-            out = state->process1 (out, *stage);
-            return static_cast<Sample> (out);
-        }
+  template <typename Sample> inline Sample filter(const Sample in) {
+    double out = in;
+    Iir::DirectFormII *state = m_states;
+    Iir::Biquad const *stage = m_stages;
+    for (int i = MaxStages; --i >= 0; ++state, ++stage)
+      out = state->process1(out, *stage);
+    return static_cast<Sample>(out);
+  }
 
-        Iir::Cascade::Storage getCascadeStorage()
-        {
-            return Iir::Cascade::Storage (MaxStages, m_stages);
-        }
+  Iir::Cascade::Storage getCascadeStorage() {
+    return Iir::Cascade::Storage(MaxStages, m_stages);
+  }
 
-    private:
-        int MaxStages;
-        Iir::Cascade::Stage *m_stages;
-        Iir::DirectFormII *m_states;
+private:
+  int MaxStages;
+  Iir::Cascade::Stage *m_stages;
+  Iir::DirectFormII *m_states;
 };
 
-//de-templatized for pimpl idom
-//comes from iir from Bernd Porr
-class PoleFilter : Iir::Butterworth::LowPassBase,public CascadeStages
-{
-    public:
-        PoleFilter (int MaxPoles):CascadeStages((MaxPoles + 1) / 2)
-        {
-            this->MaxPoles=MaxPoles;
-            m_analogStorage=new LayoutStorage(MaxPoles);
-            m_digitalStorage=new LayoutStorage(MaxPoles);
-            // This glues together the factored base classes
-            // with the templatized storage classes.
-            Iir::Butterworth::LowPassBase::setCascadeStorage (this->getCascadeStorage());
-            Iir::Butterworth::LowPassBase::setPrototypeStorage (*m_analogStorage,*m_digitalStorage);
-        }
-        ~PoleFilter()
-        {
-            delete m_analogStorage;
-            delete m_digitalStorage;
-        }
-        void setup (double sampleRate,double cutoffFrequency)
-        {
-            Iir::Butterworth::LowPassBase::setup (MaxPoles, sampleRate,cutoffFrequency);
-        }
+// de-templatized for pimpl idom
+// comes from iir from Bernd Porr
+class PoleFilter : Iir::Butterworth::LowPassBase, public CascadeStages {
+public:
+  PoleFilter(int MaxPoles) : CascadeStages((MaxPoles + 1) / 2) {
+    this->MaxPoles = MaxPoles;
+    m_analogStorage = new LayoutStorage(MaxPoles);
+    m_digitalStorage = new LayoutStorage(MaxPoles);
+    // This glues together the factored base classes
+    // with the templatized storage classes.
+    Iir::Butterworth::LowPassBase::setCascadeStorage(this->getCascadeStorage());
+    Iir::Butterworth::LowPassBase::setPrototypeStorage(*m_analogStorage,
+                                                       *m_digitalStorage);
+  }
+  ~PoleFilter() {
+    delete m_analogStorage;
+    delete m_digitalStorage;
+  }
+  void setup(double sampleRate, double cutoffFrequency) {
+    Iir::Butterworth::LowPassBase::setup(MaxPoles, sampleRate, cutoffFrequency);
+  }
 
-    private:
-        int MaxPoles;
-        LayoutStorage* m_analogStorage;
-        LayoutStorage* m_digitalStorage;
+private:
+  int MaxPoles;
+  LayoutStorage *m_analogStorage;
+  LayoutStorage *m_digitalStorage;
 };
 
+class ButterworthLowPass_impl {
+public:
+  ButterworthLowPass_impl(flair::filter::ButterworthLowPass *self,
+                          const flair::gui::LayoutPosition *position,
+                          std::string name, int order);
+  ~ButterworthLowPass_impl();
+  void UpdateFrom(const flair::core::io_data *data);
+  flair::core::cvmatrix *output;
 
-class ButterworthLowPass_impl
-{
-    public:
-        ButterworthLowPass_impl(flair::filter::ButterworthLowPass* self,const flair::gui::LayoutPosition* position,std::string name,int order);
-        ~ButterworthLowPass_impl();
-        void UpdateFrom(const flair::core::io_data *data);
-        flair::core::cvmatrix *output;
-
-    private:
-        flair::gui::DoubleSpinBox *cutoff,*T;
-        PoleFilter* f;
-        bool first_update;
-        flair::core::Time previous_time;
+private:
+  flair::gui::DoubleSpinBox *cutoff, *T;
+  PoleFilter *f;
+  bool first_update;
+  flair::core::Time previous_time;
 };
 
